package model

import model2 "Medical_OAuth/common/model"

type ServRoleApi struct {
	model2.Model
	ServiceId int    `json:"serviceId" gorm:"size:4;not null;comment:服务ID"` // 服务ID
	RoleKey   string `json:"roleKey" gorm:"size:128;comment:角色编码"`          // 角色编码
	ApiId     int    `json:"apiId" gorm:"size:128;comment:接口id"`            // 接口id
	model2.ModelTime
	model2.ControlBy
}

func (ServRoleApi) TableName() string {
	return "serv_role_api"
}

func (e *ServRoleApi) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *ServRoleApi) GetId() interface{} {
	return e.Id
}
