package model

import (
	model2 "Medical_OAuth/common/model"
)

type SysConfig struct {
	model2.Model
	ConfigName  string `json:"configName" gorm:"size:128;comment:ConfigName"`   // 配置名称
	ConfigKey   string `json:"configKey" gorm:"size:128;comment:ConfigKey"`     //  配置Key
	ConfigValue string `json:"configValue" gorm:"size:255;comment:ConfigValue"` //   配置值
	IsFrontend  string `json:"isFrontend" gorm:"size:64;comment:是否前台"`          //是否前台展示
	Remark      string `json:"remark" gorm:"size:128;comment:Remark"`           //
	model2.ControlBy
	model2.ModelTime
}

func (SysConfig) TableName() string {
	return "sys_config"
}

func (e *SysConfig) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *SysConfig) GetId() interface{} {
	return e.Id
}
