package model

import (
	model2 "Medical_OAuth/common/model"
)

type SysPost struct {
	model2.Model
	PostName string `gorm:"size:128;not null;" json:"postName"`                 //岗位名称
	Sort     int    `gorm:"size:4;" json:"sort"`                                //岗位排序
	Status   int    `gorm:"size:4;not null;default:2;comment:状态" json:"status"` // 1-停用 2-正常
	Remark   string `gorm:"size:255;" json:"remark"`                            //描述
	model2.ControlBy
	model2.ModelTime
}

func (SysPost) TableName() string {
	return "sys_post"
}

func (e *SysPost) Generate() model2.ActiveRecord {
	o := *e
	return &o
}

func (e *SysPost) GetId() interface{} {
	return e.Id
}
