package conf

var ExtConfig Extend

// Extend 扩展配置
//
//	extend:
//	  demo:
//	    name: demo-name
//
// 使用方法： config.ExtConfig......即可！！
type Extend struct {
	Service Service `yaml:"service"`
	SubMail SubMail `yaml:"subMail"`
}

type Service struct {
	Id       int    `yaml:"id"`
	Number   string `yaml:"number"`
	AuthCode string `yaml:"authCode"`
	Name     string `yaml:"name"`
}

type SubMail struct {
	Appid     string `json:"appid"`
	Signature string `json:"signature"`
}
