package router

import (
	"Medical_OAuth/app/admin/controller"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerServMenuRouter)
}

// 需认证的路由代码 - 统一身份认证菜单
func registerServMenuRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.ServMenu{}

	//r := v1.Group("/serv-menu").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	r := v1.Group("/serv-menu")
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("/:id", cont.Update)
		r.DELETE("", cont.Delete)
		r.GET("/export", cont.Export)
	}

}
